final static int INTVAL = 100;
final static int FLOATVAL = 101;

//waveforms for oscillator
final static int SINE = 0; //add 0.25 to phase to get cos
final static int SAWTOOTH = 1;
final static int SAWTOOTHINVERSE = 2;
final static int SQUAR = 3; //switches between -1 and 1, that's all
final static int TRIANG = 4;
final static int TAN = 5;
final static int TANINVERSE = 6;
final static int RAMP = 7; //line for half the sequence up to 1, then stay at 1 for the other half
final static int RAMPINVERSE = 8; //line for half the sequence up to 1, then stay at 1 for the other half
final static int RAMPUPDOWN = 9; //line up, stay, line down, stay
final static int RANDOM = 10;

//available shaders
String availableFx[] = {
  "fxASDFPixelSort", 
  "fxDistorter", 
  "fxWahWah", 
  "fxAuEcho", 
  "fxPhaser", 
  "fxWZIP", 
  "fxDarker", 
  "fxBrighter", 
  "fxMove", 
  "fxScale", 
  "fxEpilepsy", 
  "fxPosterize", 
  "fxCopyZoom", 
  "fxDual", 
  "fxScanker", 
  "fxPixelSort", 
  "fxHSB", 
  "fxEcho", 
  "fxSubtleSort", 
  "fxBlackWhite", 
  "fxDrawGenerative", 
  "fxDrawStrokes", 
  "fxFM", 
  "fxGrauzone", 
  "fxSlitScan"
};
